Loading...
Searching...
No Matches
lirc.client.Command Class Reference
Python client bindings » Classes to receive keypresses » Classes to send commands

Command, parser and connection container with a run() method. More...

Inheritance diagram for lirc.client.Command:

## Public Member Functions

| __init__ (self, str cmd, AbstractConnection connection, float timeout=0.4)
| run (self, float timeout=None)
| Run the command and return a Reply.

## Protected Attributes

| _conn = connection
| _cmd_string = cmd
| _parser = ReplyParser()

## Detailed Description

Command, parser and connection container with a run() method.

Definition at line 396 of file client.py.

## Constructor & Destructor Documentation

## __init__()

lirc.client.Command.__init__ | ( |  | self,
|  | str | cmd,
|  | AbstractConnection | connection,
|  | float | timeout = 0.4 )

Definition at line 398 of file client.py.

## Member Function Documentation

## run()

lirc.client.Command.run | ( |  | self,
|  | float | timeout = None )

Run the command and return a Reply.

Timeout as of AbstractConnection.readline()

Definition at line 408 of file client.py.

## Member Data Documentation

## _cmd_string

lirc.client.Command._cmd_string = cmd

protected

Definition at line 402 of file client.py.

## _conn

lirc.client.Command._conn = connection

protected

Definition at line 401 of file client.py.

## _parser

lirc.client.Command._parser = ReplyParser()

protected

Definition at line 403 of file client.py.

The documentation for this class was generated from the following file:

- client.py